I have OS X 10.5.8 and I want to run Final Cut Pro X 10.0.3 (which needs OS X 10.6.8) - will it (FCP X) run if I download OSX 10.6?

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    All versions of OS10.6 can (and should) be Software Updated to OS10.6.8 (that is the most up-to-date version of OS10.6). Once you have Snow Leopard (OS10.6) installed simply select Software Updates from the Apple Menu to update to 10.6.8.

    Unfortunately, OS10.6 (Snow Leopard) cannot be downloaded. You must install via an Installation Disk. Snow Leopard requires an Intel-based Mac, so make sure that's what you have before purchasing.

    Final Cut Pro 10.0.3 must have either OS10.6.8 (or OS10.7.2 or later). OS10.7 and OS10.7.1 are not supported.

    Was this useful? Answer 1

    9 of 11 people found this useful

Related Questions